/**
 * Klasse hlt die Daten der Feldbeschreibung. 
 * @author Harald Kranz
 *
 */
public class DFFieldDescription {
	
	/**
	/ Konstanten fr die Datentypen 
	*/
	public static final int DF_LONG = 1;
	public static final int DF_DATETIME = 2;
	public static final int DF_ZIFFER = 3;
	public static final int DF_ALPHANUM = 4;
	public static final int DF_DATE = 5;
	public static final int DF_TIME = 6;
	
	/**
	 * Nummer des Feld 
	 */
	private int fieldNumber;
	
	/**
	 * Bezeichnung der Feld 
	 */
	private String fieldName;
	
	/**
	 * Typ des Feld 
	 */
	private int fieldType;
	
	/**
	 * Lnge des Feld
	 */
	private int fieldLength;
	
	public DFFieldDescription()
	{
		
	}

	/**
	 * Getter fr die Feldnummer 
	 * @return int Feldnummer 
	 */
	public int getFieldNumber() {
		return fieldNumber;
	}

	/**
	 * Setter fr die Feldnummer 
	 * @param fieldNumber int Feldnummer 
	 */
	public void setFieldNumber(int fieldNumber) {
		this.fieldNumber = fieldNumber;
	}

	/**
	 * Getter fr die Feldbezeichnung 
	 * @return String Feldbezeichnung
	 */
	public String getFieldName() {
		return fieldName;
	}

	/**
	 * Setter fr die Feldbezeichnung 
	 * @param fieldName String Feldbezeichnung 
	 */
	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	/**
	 * Getter fr den Feldtyp 
	 * @return int Feldtyp (Datentypen sind als Konstanten vorhanden)
	 */
	public int getFieldType() {
		return fieldType;
	}

	/**
	 * Setter fr den Feldtyp
	 * @param fieldType int FeldTyp (Datentypen sind als Konstanten vorhanden)
	 */
	public void setFieldType(int fieldType) {
		this.fieldType = fieldType;
	}

	/**
	 * Getter fr die Feldlnge 
	 * @return int Feldlnge 
	 */
	public int getFieldLength() {
		return fieldLength;
	}

	/**
	 * Setter fr die Feldlnge 
	 * @param fieldLength int Feldlnge 
	 */
	public void setFieldLength(int fieldLength) {
		this.fieldLength = fieldLength;
	}
	
	/**
	 * berschreiben der toString fr mgliche Ausgabe der Feldbeschreibung.
	 */
	@Override
	public String toString()
	{
		StringBuffer buf = new StringBuffer();
		buf.append("Feldbeschreibung\nNummer: " + fieldNumber);
		buf.append("\nBezeichnung: "+fieldName);
		switch (fieldType) {
		case DF_LONG:
			buf.append("\nTyp(Lnge): long ("+fieldLength+")");			
			break;
		case DF_DATETIME:
			buf.append("\nTyp(Lnge): DateTime Y100,Y,M,D,Stunde,Minute,Sekunde  ("+fieldLength+")");						
			break;
		case DF_ZIFFER:
			buf.append("\nTyp(Lnge): Ziffern ("+fieldLength+")");			
			break;
		case DF_ALPHANUM:
			buf.append("\nTyp(Lnge): Alpha-Numerisch ("+fieldLength+")");			
			break;
		case DF_DATE:
			buf.append("\nTyp(Lnge): Date Y100,Y,M,D ("+fieldLength+")");			
			break;
		case DF_TIME:
			buf.append("\nTyp(Lnge): Time Stunde,Mintute,Sekunde ("+fieldLength+")");						
			break;

		default:
			break;
		} 
		buf.append("\n\n");
		return buf.toString();
	}
	
}
