/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Datafox DFCom - API", "index.html", [
    [ "Über die Kommunikationsbibliothek", "index.html", null ],
    [ "Versionsänderungen", "dfc_version_history.html", null ],
    [ "Einbindung der Bibliothek", "dfc_using_library.html", [
      [ "Umsetzung für Windows", "dfc_using_library.html#dfc_build_windows", [
        [ "Allgemeine Hinweise", "dfc_using_library.html#dtc_using_hints", null ],
        [ "Unterschiede zur Umsetzung des Kommunikationsmoduls für x64 Windows-Betriebssysteme.", "dfc_using_library.html#df_build_x86_and_x64", null ]
      ] ],
      [ "Umsetzung für unixoide Betriebssysteme.", "dfc_using_library.html#dfc_build_unix", [
        [ "Erstellen einer statischen oder shared library", "dfc_using_library.html#dfc_build_static_or_shared", null ],
        [ "Erstellen der Bibliothek unter CentOS 7", "dfc_using_library.html#df_build_centos", null ]
      ] ]
    ] ],
    [ "Beschreibungen", "dfc_explanations.html", [
      [ "Was sind Verbindungs-Id und Geräteadresse?", "dfc_explanations.html#dfc_channel_id_device_address", [
        [ "Was ist die Verbindungs-Id (connectionId)?", "dfc_explanations.html#dfc_connection_id", null ],
        [ "Was ist die Geräteadresse (deviceAddress)?", "dfc_explanations.html#dfc_device_address", null ]
      ] ],
      [ "Beschreibung des Passive-Mode", "dfc_explanations.html#dfc_passive_mode", [
        [ "Einleitung", "dfc_explanations.html#dfcd_passive_mode_intro", null ],
        [ "Grober Überblick", "dfc_explanations.html#dfcd_passive_mode_overview", null ],
        [ "Bei offen gehaltenen Verbindungen ist folgendes zusätzlich zu beachten.", "dfc_explanations.html#dfc_open_connections", null ]
      ] ],
      [ "Active-Mode / Service-Mode", "dfc_explanations.html#dfcd_active_mode", [
        [ "Einleitung", "dfc_explanations.html#dfcd_active_mode_intro", null ],
        [ "Grober Überblick", "dfc_explanations.html#dfcd_active_mode_overview", null ],
        [ "Kurze Gegenüberstellung der Befehlsausführung ohne und mit Active-Mode", "dfc_explanations.html#dfcd_active_mode_cmdexec", null ],
        [ "Starten Stoppen und Initialisieren des Active-Mode", "dfc_explanations.html#dfcd_active_mode_manage_active_mode", null ],
        [ "Melden von Datensätzen", "dfc_explanations.html#dfcd_active_mode_transfere", null ],
        [ "Inbetriebnehmen und Testen", "dfc_explanations.html#dfcd_active_mode_deployment_and_test", null ]
      ] ],
      [ "Behandlung von Datensätzen", "dfc_explanations.html#dfc_datasets", [
        [ "Beschreibung von Online- und Offline-Datensätzen.", "dfc_explanations.html#dfc_records_online", null ],
        [ "Anmerkung zur Datensatz- und Listenbeschreibung (Tabellendefinitionen)", "dfc_explanations.html#dfc_descriptions", null ],
        [ "Listen des Setups", "dfc_explanations.html#dfc_lists", [
          [ "Speicherverwaltung der Listen", "dfc_explanations.html#dfc_lists_memory", null ],
          [ "Übertragen von Listen", "dfc_explanations.html#dfc_lists_transfer", null ],
          [ "Übertragen einzelner Listen", "dfc_explanations.html#dfc_lists_transfer_2", null ],
          [ "Importieren von Listendaten", "dfc_explanations.html#dfc_lists_import", null ],
          [ "Löschen von Listen", "dfc_explanations.html#dfc_lists_clear", null ],
          [ "Beschreibung der Übernahme von Listen", "dfc_explanations.html#dfc_lists_getting", null ]
        ] ],
        [ "Datentypen", "dfc_explanations.html#dfc_data_types", null ],
        [ "Uhrzeit stellen", "dfc_explanations.html#dfcd_set_date_and_time", null ],
        [ "Timeboylisten übertragen", "dfc_explanations.html#dfcd_timeboy_list_transfer", [
          [ "GroupID", "dfc_explanations.html#dfcd_timeboy_list_transfer_group_id", null ]
        ] ],
        [ "Übertragen von Gerätedateien", "dfc_explanations.html#dfcd_file_upload", null ],
        [ "Beim Update über Gerätedateiarchiv (*.dfz) ist folgendes zu beachten.", "dfc_explanations.html#dfcd_file_upload_firmware", null ],
        [ "Allgemeine Hinweise zu allen MasterIV-Geräten", "dfc_explanations.html#dfcd_file_upload_hint", null ],
        [ "Bekannte Probleme und deren Fehlerbehebung", "dfc_explanations.html#dfcd_file_upload_troubleshooting", null ],
        [ "IP-Adresse und Hostname", "dfc_explanations.html#dfcd_ip_addr_and_hostname", null ]
      ] ],
      [ "Verschlüsselung der Kommunikation zwischen dem Kommunikationsmodul und den Geräten.", "dfc_explanations.html#dfcd_communication_enc", [
        [ "Aktivieren und Einstellen der Verschlüsselung für das Gerät.", "dfc_explanations.html#dfcd_communication_enc_activate", null ],
        [ "Aktivieren und Einstellen der Verschlüsselung im Kommunikationsmodul.", "dfc_explanations.html#dfcd_communication_enc_module", null ],
        [ "Funktionsweise der Verschlüsselung im Kommunikationsmodul.", "dfc_explanations.html#dfcd_communication_enc_operation", null ]
      ] ],
      [ "Bearbeitung vorhandener Listendaten.", "dfc_explanations.html#dfcd_manipulating_list_data", null ],
      [ "Befehlsausführungen während einer länger andauernden Datenübertragung.", "dfc_explanations.html#dfcd_exec_command_during_transaction", null ],
      [ "Erklärung zu Funktionsparametern", "dfc_explanations.html#dfc_parameters", [
        [ "Erklärung des Schnittstellentimeouts.", "dfc_explanations.html#dfc_read_timeout", null ],
        [ "Erklärung zum Fehlerparameter", "dfc_explanations.html#dfc_type_error_numbers", null ],
        [ "Erklärung zu Zeichenfolgen / Zeichenarray.", "dfc_explanations.html#dfc_type_string", null ]
      ] ],
      [ "Datenstruktur", "dfc_explanations.html#dfc_types", [
        [ "Aufbau der Datensätze im Bytearray", "dfc_explanations.html#dfc_type_record", null ],
        [ "Datensatzfeldtyp \"Datum und Uhrzeit\" im Bytearray", "dfc_explanations.html#dfc_type_date_time", null ],
        [ "Datensatzfeldtyp \"Daten\" im Bytearray", "dfc_explanations.html#dfc_type_data", null ]
      ] ],
      [ "Behandlung von Fingertemplates", "dfc_explanations.html#dfc_fingerprint", [
        [ "Aufbau des Templates im Format DIN V66400", "dfc_explanations.html#dfc_fingerprint_format_DINV66400", null ],
        [ "Aufbau des Templates im Format Idencom-Compact", "dfc_explanations.html#dfc_fingerprint_format_IdencomCompact", null ],
        [ "Aufbau des Templates im Format Indencom-Standard", "dfc_explanations.html#dfc_fingerprint_format_IdencomStandard", null ],
        [ "Aufbau des Templates im Format Saturn", "dfc_explanations.html#dfc_fingerprint_format_Saturn", null ]
      ] ],
      [ "Protokollierung durch die Bibliothek", "dfc_explanations.html#dfc_logging", [
        [ "Aufbau der Logeinträge", "dfc_explanations.html#dfc_logging_entries", null ],
        [ "Initialisierungsdatei", "dfc_explanations.html#dfc_logging_ini_file", null ],
        [ "Suchreihenfolge der Initialisierungsdatei", "dfc_explanations.html#dfc_logging_find_ini_file", null ]
      ] ],
      [ "Auslesen von Datendateien (Kamerabilder, Unterschriftbilder, Barcodedaten, etc.)", "dfc_explanations.html#dfc_read_data_files", null ]
    ] ],
    [ "Programmbeispiele", "dfc_program_examples.html", [
      [ "Passiv-Mode", "dfc_program_examples.html#Passiv-Mode", null ],
      [ "Konfigurationsdatei konvertieren", "dfc_program_examples.html#dfc_example_convert_config_file", null ]
    ] ],
    [ "Exportierte Funktionen", "dfc_exports.html", [
      [ "Allgemeine Funktionen", "dfc_exports.html#dfc_exports_common", null ],
      [ "Funktionen für Setup", "dfc_exports.html#dfc_exports_setup", null ],
      [ "Funktionen für Listen, sowie Zutrittslisten", "dfc_exports.html#dfc_exports_lists", null ],
      [ "Funktionen für Daten", "dfc_exports.html#dfc_exports_records", null ],
      [ "Funktionen für Listen", "dfc_exports.html#dfc_exports_setup_lists", null ],
      [ "Funktionen für Zutrittskontrolllisten (Version 1)", "dfc_exports.html#dfc_exports_access_control_lists_v1", null ],
      [ "Funktionen für Zutrittskontrolllisten (Version 2)", "dfc_exports.html#dfc_exports_access_control_lists_v2", null ],
      [ "Funktionen für Fingerprint", "dfc_exports.html#dfc_exports_fingerprint", null ],
      [ "Funktionen für Timeboylisten", "dfc_exports.html#dfc_exports_timeboy_lists", null ],
      [ "Funktionen für Active-Mode", "dfc_exports.html#dfc_exports_active_mode", null ],
      [ "Funktionen für Blockübertragung", "dfc_exports.html#dfc_exports_block_transfer", null ]
    ] ],
    [ "Fehlernummern", "dfc_error_numbers.html", null ],
    [ "Systemvariablen", "dfc_system_variables.html", [
      [ "Variablen für Mobilfunk, Präfix: _MODEM_MC35i oder MOBILE", "dfc_system_variables.html#dfcd_4_sysvar_modem_mc35i", null ],
      [ "Variablen für Bedienung, Präfix: SERVICE", "dfc_system_variables.html#dfcd_4_sysvar_service", null ],
      [ "Variablen für Zutritt, Präfix: ACCESS", "dfc_system_variables.html#dfcd_4_sysvar_access", null ],
      [ "Variablen für Bluetooth, Präfix: BTH", "dfc_system_variables.html#dfcd_4_sysvar_bth", null ],
      [ "Variablen für digitale Ein-/Ausgänge, Präfix: IO", "dfc_system_variables.html#dfcd_4_sysvar_io", null ],
      [ "Variablen zum Präfix: POWER", "dfc_system_variables.html#dfcd_4_sysvar_power", null ],
      [ "Variablen für Active-Mode, Präfix: COM", "dfc_system_variables.html#dfcd_4_sysvar_com", null ],
      [ "Variablen für Datensatzversand mit Http, Präfix: HTTP", "dfc_system_variables.html#dfcd_4_sysvar_http", null ],
      [ "Variablen für das Gesamtsystem, Präfix: SYSTEM", "dfc_system_variables.html#dfcd_4_sysvar_system", null ]
    ] ],
    [ "Veraltete Elemente", "deprecated.html", null ],
    [ "Ausstehende Aufgaben", "todo.html", null ],
    [ "Datenstrukturen", "annotated.html", [
      [ "Datenstrukturen", "annotated.html", "annotated_dup" ],
      [ "Datenstruktur-Verzeichnis", "classes.html", null ],
      [ "Klassenhierarchie", "hierarchy.html", "hierarchy" ],
      [ "Datenstruktur-Elemente", "functions.html", [
        [ "Alle", "functions.html", "functions_dup" ],
        [ "Funktionen", "functions_func.html", null ],
        [ "Variablen", "functions_vars.html", "functions_vars" ],
        [ "Aufzählungen", "functions_enum.html", null ]
      ] ]
    ] ],
    [ "Dateien", "files.html", [
      [ "Auflistung der Dateien", "files.html", "files_dup" ],
      [ "Globale Elemente", "globals.html", [
        [ "Alle", "globals.html", "globals_dup" ],
        [ "Funktionen", "globals_func.html", null ],
        [ "Typdefinitionen", "globals_type.html", null ],
        [ "Aufzählungen", "globals_enum.html", null ],
        [ "Makrodefinitionen", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"df__logging_8h.html#a4de1a2bafecc9569c554c1e72010a930",
"struct_struct_auto_key.html#a63d03361af2a82e3c95c4f00a4066e5c",
"struct_struct_g_p_s.html#a23d8b09f168ba4e8e31788e6b231ba3a",
"struct_struct_table_field.html#a1d127017fb298b889f4ba24752d08b8e",
"struct_struct_transponderi_code.html#a04a9e72c50b87089564a0022f511703e"
];

var SYNCONMSG = 'Klicken um Panelsynchronisation auszuschalten';
var SYNCOFFMSG = 'Klicken um Panelsynchronisation einzuschalten';